Bug 147953 - Installer crashes with "install exited abnormally" after writing install image to disk
Installer crashes with "install exited abnormally" after writing install imag...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-13 18:10 EST by E. Naeher
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-06 08:39:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda Dump (845.13 KB, text/plain)
2005-11-09 21:54 EST, BTSOOM
no flags Details

  None (edit)
Description E. Naeher 2005-02-13 18:10:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.10 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
Anaconda crashes with the sole error message "install exited abnormally" immediately after writing the install image to disk (the subsequent status bar comes up, but it crashes too quickly to tell what it is). The screen goes to text mode and shutdown ensues.

A variety of boot options, including ide=nodma, acpi=off, i8042.nomux, apm=off, ide=nodma, noprobe, nofb, nopcmcia, have no effect.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run anaconda 
2.Click through to beginning of actual installation
3.Cry
  

Actual Results:  The screen went to text mode with the error "install exited abnormally" and when through the shutdown process.

Expected Results:  A successful installation of Fedora Core 3.

Additional info:

This is on a Toshiba Satellite with 512M of RAM and a 2GHz Celeron. I have approximately 5.5G free disk space on the relevant partition. No mouse was attached at the time of installation other than the internal touchpad.

Some forum suggestions included refraining from moving the mouse during the flash screen while Anaconda loads the X server. This produced no result.

The CD was checked several times with no errors.

I was attempting to upgrade from Red Hat 9.
Comment 1 Jeremy Katz 2005-02-13 20:21:14 EST
Can you verify your installation media according to the instructions at
http://rhlinux.redhat.com/anaconda/mediacheck.html?
Comment 2 E. Naeher 2005-02-14 00:13:15 EST
Yes. As stated above, the CD was checked several (3-4) times using the 'linux
mediacheck' option.
Comment 3 Jeremy Stark 2005-02-26 15:42:38 EST
Ok, I was having this problem to but worked around it.  First, what
worked for me was changing my IDE card.  I was using the integrated
IDE on a MS6378X-L ver. 3 motherboard.  The IDE is reported by lspci as a:

IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)

The one a plugged in is reported as:

00:09.0 Unknown mass storage controller: Promise Technology, Inc.
PDC20268 (Ultra100 TX2) (rev 02)

I moved the target install drive, a Samsung SP0802N, to the first IDE
channel of the Promise card.  The CD drive was left as a master on the
second integrated IDE channel.

After doing this the install went flawlessly.  This after having done
several attempted installs, each failing at different points during
the RPM install process with the error "Intaller exited abnormaly",
which I must say really nails the problem.

I was able to do a minimal install off the integrated IDE, which made
me suspect the media and I burned many CD's at different speeds
thinking my burner might be at fault.

The known media check bug:

http://www.fedorafaq.org/#mediacheck

really confused the whole debugging process as I was not sure I could
trust the media until I found the above note.

Kind Regards,
Jeremy
Comment 4 Robert Case 2005-04-12 17:07:40 EDT
I'm having the exact same problem.  I'm trying to upgrade from RH8 to FC3, and I 
get the same failure.  The only thing is the system I'm using is all SCSI.  
Sure, there is an on-board IDE controller, but I have nothing connected to it.  
The hard drives and CD-ROM are all SCSI.

System Particulars:
AMD K62-300MHz
Adaptec 2930CU SCSI Adapter
IBM 4GB UltraSCSI Hard Drive (ID:0)
IBM 18GB UltraSCSI Hard Drive (ID:1)
Pioneer SCSI CD-ROM Drive (ID:2)
IOMega Jaz Drive (ID:4)
Microtek E3 Scanner-powered off (ID:6)
192MB of RAM

I get the failure whether I use the default graphical install or use the "linux 
text" option.  However, I did notice something interesting when it failed under 
text mode install that I did not see in the graphical install.  It says the 
following:

==========
error reading information on service linuxconf: No such file or directory
install exited abnormally
...
==========

'linuxconf' is something I haven't seen in the RetHat/Fedora world in a while.  
Could it be that FC install is expecting to see linuxconf but doesn't find it, 
and that's why it's failing?  I do know that linuxconf wasn't part of RH8 (I 
think they took it out as of RH7, but I don't know when (if?) they put it back 
in).
Comment 5 Peter Jones 2005-04-14 11:06:46 EDT
"install exited abnormally" means that the installer itself has crashed in such
a way that it cannot give a python traceback.  So these two incidents may or may
not be related; given that one case is an install and one an upgrade, I suspect
they're unrelated.

Robert, could you file your info under another bug, if it's not too much trouble?

As for the failure during installation, have you tried a text install?
Comment 6 E. Naeher 2005-04-14 11:21:04 EDT
"As for the failure during installation, have you tried a text install?"

If this is directed to me, note that like Robert I was trying to upgrade (from 
RH9 rather than 8), not do a fresh install.

And yes, I did try a text-mode install.
Comment 7 FW 2005-05-09 04:20:07 EDT
I'm having the exact same problem too, I'm running a new installation of FC2 
(not upgrading), and I already tried installing using the X Server and text 
mode, and both result in "install exited abnormally". When I read the Debug 
window it describes "OS: cannot allocate memory" error.
Comment 8 Mike Stroud 2005-07-27 17:54:06 EDT
I'm having same problem.  Abnormal exit during upgrade.  
System:
Dell precision 330
intel 686 with 512MB ram
MicroTek E3 scanner unpowered
Adaptec 2930CU SCSI Adapter anmd 36GB scsi drive
NEC cd rom CD-RW nec7800A
Video Card - Nvidia GEForce2 GTS
Following is first part of dump from anaconda:
Traceback (most recent call last):
  File "/usr/src/build/475969-i386/install//usr/lib/anaconda/gui.py", line 789,
in nextClicked
    self.dispatch.gotoNext()
  File "/usr/src/build/475969-i386/install//usr/lib/anaconda/dispatch.py", line
171, in gotoNext
    self.moveStep()
  File "/usr/src/build/475969-i386/install//usr/lib/anaconda/dispatch.py", line
239, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/src/build/475969-i386/install//usr/lib/anaconda/upgrade.py", line
396, in upgradeFindPackages
    instPath)
  File "/usr/src/build/475969-i386/install//usr/lib/anaconda/findpackageset.py",
line 149, in findpackageset
    val = rpm.labelCompare(oevr,(epoch,h[rpm.RPMTAG_VERSION],h[rpm.RPMTAG_RELEASE]))
TypeError: argument 1, item 0 must be string or None, not long
Comment 9 Teri VanDever 2005-10-19 14:00:40 EDT
I am having the same issue. I am trying to install using the Fedora Core 4 DVD 
on a new Hitachi 160gb Harddrive. The cpu is running an AMD processor 1.0gb. 
Everything goes smoothly until the actual "install" then I get the dump. Below 
are the first few lines from the dump:  
Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 1137, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 244, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 873, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 174, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 242, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 582, in turnOnFilesystems
    thefsset.createLogicalVolumes(instPath)
  File "/usr/lib/anaconda/fsset.py", line 1477, in createLogicalVolumes
    entry.device.setupDevice(chroot)
  File "/usr/lib/anaconda/fsset.py", line 2131, in setupDevice
    raise SystemError, "lvcreate failed for %s" %(self.name,)
SystemError: lvcreate failed for LogVol00

Local variables in innermost frame:
devPrefix: /tmp
self: <fsset.LogicalVolumeDevice instance at 0xb7c64c2c>
chroot: /mnt/sysimage
rc: 1280
Comment 10 BTSOOM 2005-11-09 21:54:11 EST
Created attachment 120870 [details]
Anaconda Dump

I get the same error when installing FC4 to a Compaq DL360 server.  Strangely,
I've sucessfully installed it on one DL360 and on serveral other desktops
(using the same CDs for all installs).	However, on three DL360 servers I get
the error message "install exited abnormally" after the dependencies have been
checked and the install begins.  All four servers should be virtually identical
hardware.  Here is an exerpt from the dump:

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 1137, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 244, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 873, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 174, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 242, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 582, in turnOnFilesystems
    thefsset.createLogicalVolumes(instPath)
  File "/usr/lib/anaconda/fsset.py", line 1472, in createLogicalVolumes
    entry.device.setupDevice(chroot)
  File "/usr/lib/anaconda/fsset.py", line 2066, in setupDevice
    raise SystemError, "pvcreate failed for %s" % (volume,)
SystemError: pvcreate failed for <fsset.PartitionDevice instance at 0xb7b6072c>
Comment 11 Chris Lumens 2006-01-06 11:27:48 EST
FW, Mike, Teri, BTSOOM - You are all experiencing different bugs.  Please file
separate bug reports for those.  This bug report is only for getting "install
exited abnormally" in the first stage without python tracebacks.
Comment 12 Chris Lumens 2006-01-17 17:12:30 EST
E. Naeher - Please try again with FC5 test 2 or later.  We have some extra
debugging capabilities in the loader now that will allow us to get a backtrace
and determine where in the loader you're hitting this error.
Comment 13 John Thacker 2006-05-06 08:39:59 EDT
Closing due to lack of response from reporter.

If this still occurs in the final release of FC5, please reopen and
give the backtrace.

Note You need to log in before you can comment on or make changes to this bug.